'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _redis = require('redis');

var _redis2 = _interopRequireDefault(_redis);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

_bluebird2['default'].promisifyAll(_redis2['default'].RedisClient.prototype);

function returnInt(v) {
  return parseInt(v);
}

module.exports = function (config) {
  var client = _redis2['default'].createClient(config.redis.host, {}).on('error', function (err) {
    console.error(err.stack);
  });

  var timeset = 'explorer:mtime';
  var sizeset = 'explorer:size';

  return {
    getTime: function getTime(hash) {
      return client.hgetAsync(timeset, hash).then(returnInt);
    },
    setTime: function setTime(hash, time) {
      return client.hsetAsync(timeset, hash, time);
    },
    getSize: function getSize(hash) {
      return client.hgetAsync(sizeset, hash).then(returnInt);
    },
    setSize: function setSize(hash, size) {
      return client.hsetAsync(sizeset, hash, size);
    }
  };
};